@import url("reset.css");
@font-face {
    font-family: Gil-SB;
    src: local("MuseoSansCyrl"),
    url("../fonts/Gil/Gil-SB.otf");
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: "NS-R";
    src: url("../fonts/NotoSansRegular/NotoSansRegular.eot");
    src: url("../fonts/NotoSansRegular/NotoSansRegular.eot?#iefix")format("embedded-opentype"),
    url("../fonts/NotoSansRegular/NotoSansRegular.woff") format("woff"),
    url("../fonts/NotoSansRegular/NotoSansRegular.ttf") format("truetype");
    font-style: normal;
    font-weight: normal;
}
@font-face {
    font-family: "NS-B";
    src: url("../fonts/NotoSansBold/NotoSansBold.eot");
    src: url("../fonts/NotoSansBold/NotoSansBold.eot?#iefix")format("embedded-opentype"),
    url("../fonts/NotoSansBold/NotoSansBold.woff") format("woff"),
    url("../fonts/NotoSansBold/NotoSansBold.ttf") format("truetype");
    font-style: normal;
    font-weight: normal;
}

:root {
    --yellow: #F7B445;
    --yellow-hover: #ebab42;
    --persic: #f2c47e;
    --blue: #478dcd;;
    --blue-hover: #487dbe;
    --border: #B1B5BA;
    --hover: #fbfbfb;
    --dark: #373b46;
    --grey: rgba(14, 32, 44, 0.5);
    --black: #0E202C;
    --grey-light: rgba(0,0,0,0.03);
}


html, body {
    width: 100%;
    height: 100%;
    overflow: hidden;
}

body {
    font-size: 16px;
    line-height: 20px;
    font-family: NS-R, serif;
    color: var(--black);
    /*background: url(../images/admin_l.jpg) no-repeat center;*/
    /*background-size: cover;*/
    background: #eaeaea;
}
* {
    box-sizing: border-box;
    -webkit-appearance: none !important;
}
a{
    text-decoration: none;
    color: var(--blue);
}
a:hover,
a:focus,
a:active {
    color: var(--blue-hover);
}
p {
    margin-bottom: 15px;
}
h1 {
    font-family: NS-B, serif;
    font-size: 48px;
    font-weight: 100;
    color: var(--dark);
}
h2 {
    font-family: NS-B, serif;
    font-size: 42px;
    line-height: 50px;
    font-weight: 100;
    color: var(--dark);
}
h3 {
    font-family: NS-B, serif;
    font-size: 36px;
    font-weight: 100;
}
h4 {
    font-size: 24px;
    font-weight: 100;
}
input:focus {
    outline: none;
}
img {
    max-width: 100%;
}
b, .bold {
    font-family: NS-R, serif;
}

::-webkit-scrollbar {
    width: 5px;
}
::-webkit-scrollbar-track {
    -webkit-box-shadow: none;
    border-radius: 5px;
}
::-webkit-scrollbar-thumb {
    border-radius: 5px;
    background: rgba(0,0,0,0.31);
}

.btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    min-height: 45px;
    min-height: 45px;
    padding: 0 35px !important;
    border-radius: 5px;
    font-family: Gil-SB, serif;
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 1px;
    cursor: pointer;
    border: 0;
}
.btn.btn-primary {
    background: var(--blue);
    color: #fff;
}
.btn.btn-primary:focus,
.btn.btn-primary:hover,
.btn.btn-primary:active {
    background: var(--blue-hover);
}
.btn.btn-default {
    background: #fff;
}
.btn.btn-default:focus,
.btn.btn-default:hover,
.btn.btn-default:active {
    background: var(--hover);
}
.btn .icon{
    font-size: 21px;
    margin-right: 10px;
}

.logo {
    cursor: pointer;
}

.flowplayer {
    width: 100%;
    height: 80%;
    z-index: 1000;
}

.modal {
    display: none;
    width: 100vw;
    height: 100vh;
    position: fixed;
    z-index: 9999999;
    padding: 60px;
    left: 0;
    top: 0;
}
.modal.in {
    display: flex;
}
.modal .bg-modal {
    width: 100vw;
    height: 100vh;
    position: absolute;
    z-index: 1;
    left: 0;
    top: 0;
    opacity: 0;
    background: rgba(0,0,0,0.5);
    transition-duration: .5s;
}
.modal .body-modal {
    background: #fff;
    padding: 100px;
    position: relative;
    z-index: 5;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    opacity: 0;
    transition-duration: .5s;
}
.modal.fade .bg-modal,
.modal.fade .body-modal {
    opacity: 1;
}
.modal .body-modal .js-close-modal {
    position: absolute;
    right: 100px;
    top: 100px;
    width: 30px;
    height: 30px;
    font-size: 24px;
    text-align: center;
    line-height: 30px;
    cursor: pointer;
}

.login-page {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    background: url(../images/admin_l.jpg) no-repeat center;
    background-size: cover;
}
.login-page.dark {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    background: #1f3b50;
}
.login-page .body-login {
    margin: auto auto;
    width: 400px;
    padding: 40px;
    background: #fff;
    text-align: center;
}
.login-page .body-login .title {
    font-family: Gil-SB, serif;
    font-size: 32px;
    margin-bottom: 30px;
}
.login-page .body-login .item-field {
    margin-bottom: 25px;
    text-align: left;
}
.login-page .body-login .control-label {
    color: var(--grey);
}
.login-page .body-login input {
    width: 100%;
    text-align: left;
    border: 0;
    border-bottom: 1px solid var(--border);
    padding: 5px 0;
    line-height: 30px;
    height: 40px;
    font-size: 16px;
}
.login-page .body-login input[type="submit"] {
    width: initial;
    font-size: 14px;
}

.navbar {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 50px;
    background: var(--blue);
    display: flex;
    align-items: center;
    color: #fff;
}
.navbar .logo img {
    height: 80px;
    margin-top: 5px;
}
.navbar .navbar-nav {
    margin-left: auto;
    display: flex;
    align-items: center;
}
.navbar .navbar-nav .ico-logout {
    font-size: 18px;
    width: 60px;
    height: 50px;
    display: block;
    background: url(../images/logout.svg) no-repeat center;
    background-size: 24px;
}

.user-card {
    display: flex;
    align-items: center;
}
.user-card .image {
    min-width: 40px;
    max-width: 40px;
    height: 40px;
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 10px;
}
.user-card .image img {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.sidebar {
    position: fixed;
    top: 50px;
    left: 0;
    width: 60px;
    height: calc(100% - 50px);
    background: #fff;
}
.sidebar .sidebar-item a {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 70px;
}
.sidebar .sidebar-item .ico {
    width: 100%;
    height: 70px;
    opacity: 0.5;
    transition-duration: .35s;
}
.sidebar .sidebar-item:hover .ico {
    opacity: 0.75;
}
.sidebar .sidebar-item .router-link-active .ico {
    opacity: 1;
}
.sidebar .sidebar-item .ico.ico-tv {
    background: url(../images/ico-tv.svg) no-repeat center;
    background-size: 40px;
}
.sidebar .sidebar-item .ico.ico-film {
    background: url(../images/ico-film.svg) no-repeat center;
    background-size: 40px;
}
.sidebar .sidebar-item .ico.ico-cam {
    background: url(../images/ico-cam.svg) no-repeat center;
    background-size: 40px;
}
.sidebar .sidebar-item .ico.ico-setting {
    background: url(../images/ico-setting.svg) no-repeat center;
    background-size: 35px;
}

.sidebar + .loading-container {
    height: calc(100% - 80px);
    width: calc(100% - 90px);
    margin: 15px;
}
.content-part {
    position: fixed;
    left: 60px;
    top: 50px;
    width: calc(100% - 60px);
    height: calc(100% - 50px);
    padding: 15px;
    overflow: auto;
}
.content-part .header-page {
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 10px;
}
.content-part .header-page .title{
    font-family: Gil-SB, serif;
    font-size: 28px;
    display: inline-flex;
    align-items: center;
    line-height: 1.1;
}
.content-part .body-page {
    overflow: auto;
    background: #fff;
    padding: 15px;
}

.channels-list {
    display: flex;
    flex-wrap: wrap;
}
.channels-list .channel {
    display: flex;
    align-items: center;
    width: calc(100%/4 - 8px);
    margin: 4px 4px;
    transition-duration: .3s;
    padding: 5px 10px;
}
.channels-list.no-animate .channel {
    transition-duration: 0s;
}
.channels-list .channel:hover {
    box-shadow: 0 0 5px rgba(0,0,0,0.2);
    background: var(--hover);
}
.channels-list .channel .img-h {
    min-width: 100px;
    max-width: 100px;
    height: 100px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 10px;
}
.channels-list .channel .img-h img {
    width: 100%;
    height: 100%;
    object-fit: scale-down;
}
.channels-list .channel .now-playing {
    position: relative;
    color: var(--dark);
    width: calc(100% - 80px);
}
.channels-list .channel .now-playing .title {
    margin-bottom: 5px;
    font-size: 16px;
}
.channels-list .channel .now-playing span {
    font-size: 14px;
}
.channels-list.block .channel {
    width: calc(100%/6 - 10px);
    justify-content: center;
}
.channels-list.block .channel .img-h {
    width: 150px;
    height: 150px;
    margin-right: 0;
}
.channels-list.block .channel .now-playing {
    display: none;
}

.btn.favorite.active {
    background: var(--yellow);
    color: #fff;
}
.view-video .video {
    width: 100%;
}
.view-video .video video {
    width: 100%;
}
.view-video .info {
    margin-top: 20px;
}
.view-video .info .title-block {
    font-size: 21px;
    font-family: Gil-SB, serif;
    margin-bottom: 10px;
}
.view-video .info .describe {
    font-size: 16px;
    color: var(--dark);
}
.view-video .info .list-program {
    display: flex;
    flex-wrap: wrap;
    margin: 10px -10px;
}
.view-video .info .list-program .item-program {
    display: flex;
    align-items: flex-start;
    margin: 7px 10px;
    width: calc(100%/3 - 20px);
    color: var(--dark);
    font-size: 15px;
    padding: 5px;
}
.view-video .info .list-program .item-program:first-child {
    /*background: #e0e0e0;*/
    /*border: 1px solid #478dcd;*/
}
.dark .view-video .info .list-program .item-program:first-child {
    /*background: #1b1c24;*/
}
.view-video .info .list-program .item-program .time {
    margin-right: 10px;
    min-width: 40px;
    max-width: 40px;
    font-family: Gil-SB, serif;
    color: var(--blue);
    margin-top: 1px;
}

.films-list {
    display: flex;
    flex-wrap: wrap;
}
.films-list .film {
    display: flex;
    width: calc(100%/2 - 20px);
    margin: 10px;
    padding: 10px;
    color: var(--dark);
}
.films-list .film:hover {
    box-shadow: 0 0 5px rgba(0,0,0,0.2);
    background: var(--hover);
}
.films-list .film .img-h {
    margin-right: 10px;
    min-width: 215px;
    max-width: 215px;
}
.films-list .film .now-playing {
    font-size: 14px;
}
.films-list .film .now-playing div.title {
    font-size: 21px;
    font-family: Gil-SB, serif;
    margin-bottom: 10px;
    line-height: 25px;
}
.films-list .film .now-playing div .title {
    font-family: NS-B, serif;
    margin-bottom: 5px;
}
.films-list .film .now-playing .desc {
    font-size: 15px;
    line-height: 20px;
    max-height: 200px;
    overflow: hidden;
}

.cam-list {
    display: flex;
    flex-wrap: wrap;
}
.cam-list .cam-item {
    display: flex;
    align-items: center;
    width: calc(100%/3 - 20px);
    margin: 10px;
    padding: 17px 10px 3px;
    color: var(--dark);
}
.cam-list .cam-item:hover {
    box-shadow: 0 0 5px rgba(0,0,0,0.2);
    background: var(--hover);
}
.cam-list .cam-item .img-h {
    min-width: 70px;
    max-width: 70px;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin-right: 10px;
}
.cam-list .cam-item .img-h img {
    width: 90%;
    height: 90%;
    object-fit: scale-down;
    margin-bottom: 20px;
}
.cam-list .cam-item .now-playing {
    position: relative;
    color: var(--dark);
    width: calc(100% - 80px);
}
.cam-list .cam-item .now-playing .title {
    font-size: 16px;
}

.part {
    margin: 0 0 30px;
}
.part:last-child {
    margin-bottom: 0;
}
.part .title-part {
    font-size: 21px;
    font-family: Gil-SB, serif;
    margin-bottom: 10px;
    text-align: center;
    line-height: 2;
    background: #f1f1f1;
    text-transform: uppercase;
    letter-spacing: 1px;
}
.part .row-info {
    padding: 5px 0;
    display: flex;
    align-items: center;
    line-height: 1.5;
    color: var(--dark);
}
.part .row-info .label {
    width: 50%;
    padding: 0 10px;
    text-align: right;
    font-family: NS-B, serif;
}
.part .row-info .value {
    width: 50%;
    padding: 0 10px;
}
.part .row-info .value input {
    width: 50%;
    padding: 5px 10px;
    border: 1px solid var(--border);
    border-radius: 5px;
    line-height: 30px;
    height: 40px;
    font-size: 16px;
}
.part .row-info .value input[type="submit"] {
    width: initial;
    font-size: 14px;
    border: 0;
}
.slider-films {
    margin-bottom: 30px !important;
}
.main-page .title-part {
    font-size: 18px;
    font-family: NS-B, serif;
    margin-bottom: 10px;
}
.main-page .channels-list.block .channel {
    background: #fff;
}

.empty {
    width: 100%;
    text-align: center;
    font-style: italic;
    padding: 4em 0;
    font-size: 18px;
    color: #737373;
}


@media (max-width: 1360px) {

    .channels-list .channel {
        width: calc(100%/3 - 8px);
    }
}
@media (max-width: 1180px) {
    .sidebar {
        width: 70px;
    }
    .sidebar .sidebar-item a {
        height: 70px;
    }
    .sidebar .sidebar-item .ico {
        height: 60px;
        background-size: 40px !important;
    }
    .content-part {
        left: 70px;
        width: calc(100% - 70px);
    }
    .films-list .film {
        padding: 0;
    }
    .films-list .film .img-h {
        min-width: 180px;
        max-width: 180px;
    }
}
@media (max-width: 1000px) {
    .channels-list .channel {
        width: calc(100%/2 - 8px);
    }
    .cam-list .cam-item {
        width: calc(100%/2 - 20px);
    }
    .films-list .film {
        width: calc(100% - 20px);
    }
    .part .row-info .value input {
        width: 100%;
    }
    .channels-list.block .channel {
        width: calc(100%/4 - 10px);
    }
    .view-video .info .list-program .item-program {
        width: calc(100%/2 - 20px);
    }
}
@media (max-width: 760px) {
    .channels-list .channel {
        width: calc(100%/1 - 8px);
    }

    .sidebar .sidebar-item a {
        height: 60px;
    }
    .navbar {
        height: 50px;
    }
    .navbar .logo img {
        height: 60px;
    }
    .user-card {
        font-size: 13px;
    }
    .user-card .image img {
        min-width: 35px;
        max-width: 35px;
        height: 35px;
        border-radius: 50%;
        margin-right: 10px;
    }
    .navbar .navbar-nav .ico-logout {
        width: 40px;
        height: 50px;
        background-size: 20px;
    }
    .sidebar {
        width: 60px;
        top: 50px;
        height: calc(100% - 50px);
    }
    .sidebar .sidebar-item .ico {
        background-size: 35px !important;
    }
    .content-part {
        left: 60px;
        top: 50px;
        width: calc(100% - 60px);
        height: calc(100% - 50px);
        padding: 8px;
    }
    .content-part .header-page {
        height: 30px;
        margin-bottom: 5px;
    }
    .content-part .header-page .title {
        font-size: 21px;
    }
    .content-part .body-page {
        max-height: initial;
        padding: 10px;
    }
    .channels-list .channel {
        padding: 0 5px;
    }
    .channels-list .channel .img-h {
        min-width: 60px;
        max-width: 60px;
        height: 60px;
    }
    .channels-list .channel .now-playing .title {
        font-size: 15px;
    }
    .channels-list .channel .now-playing span {
        font-size: 13px;
    }
    .films-list .film .img-h {
        min-width: 150px;
        max-width: 150px;
    }
    .cam-list .cam-item {
        width: calc(100% - 10px);
        margin: 0 5px;
    }
    .cam-list .cam-item .img-h {
        min-width: 50px;
        max-width: 50px;
        height: 50px;
    }
    .part .row-info .label {
        width: 40%;
        font-size: 14px;
        line-height: 15px;
    }
    .part .row-info .value {
        width: 60%;
    }
    .part .title-part {
        font-size: 18px;
    }

    .btn {
        min-height: 30px;
        padding: 0 10px !important;
    }
    .content-part .header-page .title {
        font-size: 18px;
    }
}

@media (max-width: 560px) {

    .sidebar {
        width: 100%;
        height: 50px;
        left: 0;
        bottom: 0;
        top: auto;
        z-index: 999;
        display: flex;
        align-items: flex-start;
        justify-content: space-around;
        box-shadow: -2px 0 4px rgba(0,0,0,0.25);
    }

    .sidebar .sidebar-item {
        width: 50px;
        height: 50px;
    }
    .sidebar .sidebar-item a {
        height: 50px;
    }
    .sidebar .sidebar-item .ico {
        height: 50px;
        background-size: 30px !important;
    }
    .content-part {
        left: 0;
        width: 100%;
        padding: 5px;
        height: calc(100% - 100px);
    }
    .films-list .film {
        width: 100%;
        margin: 0 0 20px;
        flex-wrap: wrap;
    }
    .films-list .film .img-h {
        min-width: 100%;
        max-width: 100%;
        margin: 0;
    }
    .cam-list .cam-item {
        width: 100%;
        margin: 0 0 5px;
    }
    .cam-list .cam-item .img-h {
        min-width: 40px;
        max-width: 40px;
        height: 40px;
    }
    .cam-list .cam-item .now-playing .title {
        font-size: 14px;
    }
    .part .row-info {
        flex-wrap: wrap;
    }
    .part .row-info .label,
    .part .row-info .value {
        width: 100%;
        text-align: left;
        padding: 0;
        margin-bottom: 5px;
    }
    .part .row-info .value input[type="submit"] {
        width: 100%;
    }
    .channels-list.block .channel {
        width: calc(100%/2 - 10px);
    }
    .channels-list.block .channel .img-h {
        width: 110px;
        height: 110px;
        margin-right: 0;
    }
    .content-part .header-page {
        flex-wrap: wrap;
        height: initial;
    }
    .content-part .header-page .title {
        margin-bottom: 5px;
        width: 100%;
    }

    .view-video .info .list-program .item-program {
        width: 100%;
        margin: 0 0 10px;
        padding: 5px 10px;
    }


    .login-page .body-login {
        margin: auto auto;
        width: 300px;
        padding: 40px 30px;
    }
    .login-page .body-login .title {
        font-size: 24px;
    }
}

@media (max-width: 400px) {
    .channels-list .channel {
        padding: 0 5px;
        width: 100%;
        margin: 0 0 5px;
    }
}

.loading-container {
    width: 100%;
    height: 100%;
    background: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
}
.loading-box {
    position: absolute;
    margin: auto;
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    width: 20px;
    height: 20px;
    border-radius: 100%;
    box-shadow: 20px 20px rgb(4,119,220), -20px 20px rgb(223,223,223), -20px -20px rgb(4,119,220), 20px -20px rgb(223,223,223);
    animation: cssload-spin ease infinite 3.5s;
}
@keyframes cssload-spin {
    0%,
    100% {
        box-shadow: 20px 20px rgb(4,119,220), -20px 20px rgb(223,223,223), -20px -20px rgb(4,119,220), 20px -20px rgb(223,223,223);
    }
    25% {
        box-shadow: -20px 20px rgb(223,223,223), -20px -20px rgb(4,119,220), 20px -20px rgb(223,223,223), 20px 20px rgb(4,119,220);
    }
    50% {
        box-shadow: -20px -20px rgb(4,119,220), 20px -20px rgb(223,223,223), 20px 20px rgb(4,119,220), -20px 20px rgb(223,223,223);
    }
    75% {
        box-shadow: 20px -20px rgb(223,223,223), 20px 20px rgb(4,119,220), -20px 20px rgb(223,223,223), -20px -20px rgb(4,119,220);
    }
}

.swiper-container-3d .swiper-slide-shadow-right,
.swiper-container-3d .swiper-slide-shadow-left {
    background: transparent !important;
}
